#pragma once


class CMainFrame : public CFrameWnd
{
protected: //create from serialization only
  CMainFrame();

public:
//Constructors / Destructors
  CMainFrame(const CMainFrame&) = delete;
  CMainFrame(CMainFrame&&) = delete;
  ~CMainFrame() = default; //NOLINT(modernize-use-override)

//Methods
  CMainFrame& operator=(const CMainFrame&) = delete;
  CMainFrame& operator=(CMainFrame&&) = delete;

//Member variables
  CStatusBar m_wndStatusBar;
  CToolBar m_wndToolBar;

//Message handlers
  afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);

  DECLARE_MESSAGE_MAP()
  DECLARE_DYNCREATE(CMainFrame)
};
