#include "stdafx.h"
#include "spltestdlg.h"
#include "spltestdlgDlg.h"


#ifdef _DEBUG
#define new DEBUG_NEW
#endif


#pragma warning(suppress: 26455)
CSpltestdlgDlg::CSpltestdlgDlg(_In_opt_ CWnd* pParent) : CDialog{CSpltestdlgDlg::IDD, pParent},
                                                         m_pSplashFactory{nullptr},
                                                         m_hIcon{AfxGetApp()->LoadIcon(IDR_MAINFRAME)}
{
}

void CSpltestdlgDlg::DoDataExchange(CDataExchange* pDX)
{
  __super::DoDataExchange(pDX);
}

#pragma warning(suppress: 26433 26440)
BEGIN_MESSAGE_MAP(CSpltestdlgDlg, CDialog) //NOLINT(modernize-avoid-c-arrays)
  ON_WM_PAINT()
  ON_WM_QUERYDRAGICON()
END_MESSAGE_MAP()

BOOL CSpltestdlgDlg::OnInitDialog()
{
  //Let the base class do its thing
  __super::OnInitDialog();

  SetIcon(m_hIcon, TRUE); //Set big icon
  SetIcon(m_hIcon, FALSE); //Set small icon

  //Simulate some slow loading process. Your code might 
  //load up some info from a file or make a network connection etc.
  Sleep(5000);

  /////////////////// ADDED TO SUPPORT THE SPLASH SCREEN /////////////////////
  ASSERT(m_pSplashFactory != nullptr);
  m_pSplashFactory->Close();
  ////////////////////////////////////////////////////////////////////////////

  return TRUE; //return TRUE  unless you set the focus to a control
}

#pragma warning(suppress: 26434)
void CSpltestdlgDlg::OnPaint()
{
  if (IsIconic())
  {
    CPaintDC dc{this}; // device context for painting

#pragma warning(suppress: 26490)
    SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

    //Center icon in client rectangle
    const int cxIcon{GetSystemMetrics(SM_CXICON)};
    const int cyIcon{GetSystemMetrics(SM_CYICON)};
    CRect rect;
    GetClientRect(&rect);
    const int x{(rect.Width() - cxIcon + 1) / 2};
    const int y{(rect.Height() - cyIcon + 1) / 2};

    //Draw the icon
    dc.DrawIcon(x, y, m_hIcon);
  }
  else
    __super::OnPaint();
}

#pragma warning(suppress: 26434)
HCURSOR CSpltestdlgDlg::OnQueryDragIcon() noexcept
{
#pragma warning(suppress: 26473)
  return static_cast<HCURSOR>(m_hIcon);
}
